
.carousel {
    width: 120px;
    height: 156px;
    overflow: hidden;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.carousel-item {
    position: relative;
}

.carousel-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.carousel-item span {
    position: absolute;
    top: 130px;
    width: 100%;
    padding: 5px;
    text-align: center;
    background: rgba(0, 0, 0, 0.5); /* Fondo semitransparente */
    color: #fff; /* Color del texto */
    font-size: 16px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    box-sizing: border-box; /* Asegura que el padding no afecte al tamaño total del span */
}





/*--------------------------------------------------------------
# Pre Footer
--------------------------------------------------------------*/
#pre-footer {
  background: #263f49;
  padding: 0 0 30px 0;
  color: #fff;
  font-size: 14px;
}

#pre-footer .pre-footer-top {
  padding: 60px 0 30px 0;
}

#pre-footer .pre-footer-top .footer-info {
  margin-top: -90px;
  margin-bottom: 15px;
  background: white;
  color: #2f4d5a;
  border-top: 4px solid #0067c6;
  text-align: center;
  padding: 30px 20px;
}

#pre-footer .pre-footer-top .footer-info h3 {
  font-size: 24px;
  margin: 0 0 20px 0;
  padding: 2px 0 2px 0;
  line-height: 1;
  font-weight: 700;
}

#pre-footer .pre-footer-top .footer-info p {
  font-size: 14px;
  line-height: 24px;
  margin-bottom: 0;
  font-family: "Raleway", sans-serif;
}

#pre-footer .pre-footer-top .social-links a {
  font-size: 18px;
  display: inline-block;
  background: #2f4d5a;
  color: #fff;
  line-height: 1;
  padding: 8px 0;
  margin-right: 4px;
  border-radius: 50%;
  text-align: center;
  width: 36px;
  height: 36px;
  transition: 0.3s;
}

#pre-footer .pre-footer-top .social-links a:hover {
  background: #0067c6;
  color: #fff;
  text-decoration: none;
}

#pre-footer .pre-footer-top h4 {
  font-size: 16px;
  font-weight: 600;
  color: #fff;
  position: relative;
  padding-bottom: 12px;
}

#pre-footer .pre-footer-top .footer-links {
  margin-bottom: 30px;
}

#pre-footer .pre-footer-top .footer-links ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

#pre-footer .pre-footer-top .footer-links ul i {
  padding-right: 2px;
  color: #b5d9e9;
  font-size: 18px;
  line-height: 1;
}

#pre-footer .pre-footer-top .footer-links ul li {
  padding: 10px 0;
  display: flex;
  align-items: center;
}

#pre-footer .pre-footer-top .footer-links ul li:first-child {
  padding-top: 0;
}

#pre-footer .pre-footer-top .footer-links ul a {
  color: #fff;
  transition: 0.3s;
  display: inline-block;
  line-height: 1;
}

#pre-footer .pre-footer-top .footer-links ul a:hover {
  color: #a2cfe3;
}

#pre-footer .pre-footer-top .footer-newsletter form {
  margin-top: 30px;
  background: #fff;
  padding: 6px 10px;
  position: relative;
  border-radius: 4;
}

#pre-footer .pre-footer-top .footer-newsletter form input[type=email] {
  border: 0;
  padding: 4px;
  width: calc(100% - 110px);
}

#pre-footer .pre-footer-top .footer-newsletter form input[type=submit] {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  border: 0;
  background: none;
  font-size: 16px;
  padding: 0 20px;
  background: #0067c6;
  color: #fff;
  transition: 0.3s;
  border-radius: 4;
}

#pre-footer .pre-footer-top .footer-newsletter form input[type=submit]:hover {
  background: #409cc5;
}

#pre-footer .copyright {
  border-top: 1px solid #385b6b;
  text-align: center;
  padding-top: 30px;
}

#pre-footer .credits {
  padding-top: 10px;
  text-align: center;
  font-size: 13px;
  color: #fff;
}

@media (max-width: 575px) {
  #pre-footer .pre-footer-top .footer-info {
    margin: -20px 0 30px 0;
  }
}



















// Shorthand

.fixed-top {
  position: fixed;
  top: 900!important;
  right: 0;
  left: 0;
  z-index: $zindex-fixed;
}

.fixed-bottom {
  position: fixed;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: $zindex-fixed;
}

// Responsive sticky top and bottom
@each $breakpoint in map-keys($grid-breakpoints) {
  @include media-breakpoint-up($breakpoint) {
    $infix: breakpoint-infix($breakpoint, $grid-breakpoints);

    .sticky#{$infix}-top {
      position: sticky;
      top: 0;
      z-index: $zindex-sticky;
    }

    .sticky#{$infix}-bottom {
      position: sticky;
      bottom: 0;
      z-index: $zindex-sticky;
    }
  }
}